gi-cairo-1.0.29: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.Pattern

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Pattern = Pattern (ManagedPtr Pattern)

# Exported types

newtype Pattern Source #

Memory-managed wrapper type.

Constructors

Pattern (ManagedPtr Pattern) |

#### Instances

Instances details

Eq Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods (==) :: Pattern -> Pattern -> Bool Source # (/=) :: Pattern -> Pattern -> Bool Source #
GBoxed Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern
ManagedPtrNewtype Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods toManagedPtr :: Pattern -> ManagedPtr Pattern Source #
TypedObject Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern Methods glibType :: IO GType Source #
HasParentTypes Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern
IsGValue (Maybe Pattern) Source # | Convert `Pattern` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Pattern Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Pattern -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Pattern) Source #
type ParentTypes Pattern Source # |
Instance details Defined in GI.Cairo.Structs.Pattern type ParentTypes Pattern = '[] :: [Type]

# Methods